package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * Fecha de creación: (05/07/2010)
 */
public class P06B40T00Datatype implements Serializable {
		
	private String ejercicio = "";
	private String numExp = "";
	private String valorAnadComis = "";
	private String valorAnadSubv = "";
	private String valorAnadOtrosIng = "";
	private String valorAnadCompras = "";
	private String valorAnadServExt = "";
	private String valorAnadOtrosTrib = "";
	private String inverBruta = "";
	private String ingrComisEnt = "";
	private String ingrComisOtros = "";
	private String ingrHonorProf = "";
	private String ingrFinanc = "";
	private String gastCostesPer = "";
	private String gastComisAuxExt = "";
	private String gastComisOtros = "";
	private String gastFormacion = "";
	private String gastOtros = "";
	private String ctaActIngr = "";
	private String ctaActGast = "";
	private String ctaOtrasIngr = "";
	private String ctaOtrasGast = "";
	
			
	/**
	 * @return Returns the ejercicio.
	 */
	public String getEjercicio() {
		return ejercicio;
	}
	/**
	 * @param ejercicio The ejercicio to set.
	 */
	public void setEjercicio(String ejercicio) {
		this.ejercicio = ejercicio;
	}
	
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}
	
	/**
	 * @return Returns the valorAnadComis.
	 */
	public String getValorAnadComis() {
		return valorAnadComis;
	}
	/**
	 * @param valorAnadComis The valorAnadComis to set.
	 */
	public void setValorAnadComis(String valorAnadComis) {
		this.valorAnadComis = valorAnadComis;
	}
	
	/**
	 * @return Returns the valorAnadSubv.
	 */
	public String getValorAnadSubv() {
		return valorAnadSubv;
	}
	/**
	 * @param valorAnadSubv The valorAnadSubv to set.
	 */
	public void setValorAnadSubv(String valorAnadSubv) {
		this.valorAnadSubv = valorAnadSubv;
	}
	
	/**
	 * @return Returns the valorAnadOtrosIng.
	 */
	public String getValorAnadOtrosIng() {
		return valorAnadOtrosIng;
	}
	/**
	 * @param valorAnadOtrosIng The valorAnadOtrosIng to set.
	 */
	public void setValorAnadOtrosIng(String valorAnadOtrosIng) {
		this.valorAnadOtrosIng = valorAnadOtrosIng;
	}
	
	/**
	 * @return Returns the valorAnadCompras.
	 */
	public String getValorAnadCompras() {
		return valorAnadCompras;
	}
	/**
	 * @param valorAnadCompras The valorAnadCompras to set.
	 */
	public void setValorAnadCompras(String valorAnadCompras) {
		this.valorAnadCompras = valorAnadCompras;
	}
	
	/**
	 * @return Returns the valorAnadServExt.
	 */
	public String getValorAnadServExt() {
		return valorAnadServExt;
	}
	/**
	 * @param valorAnadServExt The valorAnadServExt to set.
	 */
	public void setValorAnadServExt(String valorAnadServExt) {
		this.valorAnadServExt = valorAnadServExt;
	}
	
	/**
	 * @return Returns the valorAnadOtrosTrib.
	 */
	public String getValorAnadOtrosTrib() {
		return valorAnadOtrosTrib;
	}
	/**
	 * @param valorAnadOtrosTrib The valorAnadOtrosTrib to set.
	 */
	public void setValorAnadOtrosTrib(String valorAnadOtrosTrib) {
		this.valorAnadOtrosTrib = valorAnadOtrosTrib;
	}
	
	/**
	 * @return Returns the inverBruta.
	 */
	public String getInverBruta() {
		return inverBruta;
	}
	/**
	 * @param inverBruta The inverBruta to set.
	 */
	public void setInverBruta(String inverBruta) {
		this.inverBruta = inverBruta;
	}
	
	/**
	 * @return Returns the ingrComisEnt.
	 */
	public String getIngrComisEnt() {
		return ingrComisEnt;
	}
	/**
	 * @param ingrComisEnt The ingrComisEnt to set.
	 */
	public void setIngrComisEnt(String ingrComisEnt) {
		this.ingrComisEnt = ingrComisEnt;
	}
	
	/**
	 * @return Returns the ingrComisOtros.
	 */
	public String getIngrComisOtros() {
		return ingrComisOtros;
	}
	/**
	 * @param ingrComisOtros The ingrComisOtros to set.
	 */
	public void setIngrComisOtros(String ingrComisOtros) {
		this.ingrComisOtros = ingrComisOtros;
	}
	
	/**
	 * @return Returns the ingrHonorProf.
	 */
	public String getIngrHonorProf() {
		return ingrHonorProf;
	}
	/**
	 * @param ingrHonorProf The ingrHonorProf to set.
	 */
	public void setIngrHonorProf(String ingrHonorProf) {
		this.ingrHonorProf = ingrHonorProf;
	}
	
	/**
	 * @return Returns the ingrFinanc.
	 */
	public String getIngrFinanc() {
		return ingrFinanc;
	}
	/**
	 * @param ingrFinanc The ingrFinanc to set.
	 */
	public void setIngrFinanc(String ingrFinanc) {
		this.ingrFinanc = ingrFinanc;
	}
	
	/**
	 * @return Returns the gastCostesPer.
	 */
	public String getGastCostesPer() {
		return gastCostesPer;
	}
	/**
	 * @param gastCostesPer The gastCostesPer to set.
	 */
	public void setGastCostesPer(String gastCostesPer) {
		this.gastCostesPer = gastCostesPer;
	}
	
	/**
	 * @return Returns the gastComisAuxExt.
	 */
	public String getGastComisAuxExt() {
		return gastComisAuxExt;
	}
	/**
	 * @param gastComisAuxExt The gastComisAuxExt to set.
	 */
	public void setGastComisAuxExt(String gastComisAuxExt) {
		this.gastComisAuxExt = gastComisAuxExt;
	}
	
	/**
	 * @return Returns the gastComisOtros.
	 */
	public String getGastComisOtros() {
		return gastComisOtros;
	}
	/**
	 * @param gastComisOtros The gastComisOtros to set.
	 */
	public void setGastComisOtros(String gastComisOtros) {
		this.gastComisOtros = gastComisOtros;
	}
	
	/**
	 * @return Returns the gastFormacion.
	 */
	public String getGastFormacion() {
		return gastFormacion;
	}
	/**
	 * @param gastFormacion The gastFormacion to set.
	 */
	public void setGastFormacion(String gastFormacion) {
		this.gastFormacion = gastFormacion;
	}
	
	/**
	 * @return Returns the gastOtros.
	 */
	public String getGastOtros() {
		return gastOtros;
	}
	/**
	 * @param gastOtros The gastOtros to set.
	 */
	public void setGastOtros(String gastOtros) {
		this.gastOtros = gastOtros;
	}
	
	/**
	 * @return Returns the ctaActIngr.
	 */
	public String getCtaActIngr() {
		return ctaActIngr;
	}
	/**
	 * @param ctaActIngr The ctaActIngr to set.
	 */
	public void setCtaActIngr(String ctaActIngr) {
		this.ctaActIngr = ctaActIngr;
	}
	
	/**
	 * @return Returns the ctaActGast.
	 */
	public String getCtaActGast() {
		return ctaActGast;
	}
	/**
	 * @param ctaActGast The ctaActGast to set.
	 */
	public void setCtaActGast(String ctaActGast) {
		this.ctaActGast = ctaActGast;
	}
	
	/**
	 * @return Returns the ctaOtrasIngr.
	 */
	public String getCtaOtrasIngr() {
		return ctaOtrasIngr;
	}
	/**
	 * @param ctaOtrasIngr The ctaOtrasIngr to set.
	 */
	public void setCtaOtrasIngr(String ctaOtrasIngr) {
		this.ctaOtrasIngr = ctaOtrasIngr;
	}
	
	/**
	 * @return Returns the ctaOtrasGast.
	 */
	public String getCtaOtrasGast() {
		return ctaOtrasGast;
	}
	/**
	 * @param ctaOtrasGast The ctaOtrasGast to set.
	 */
	public void setCtaOtrasGast(String ctaOtrasGast) {
		this.ctaOtrasGast = ctaOtrasGast;
	}
	
	
	public String toString(){
		StringBuffer textoImprimir = new StringBuffer();		
		textoImprimir.append("Ejercicio: ");
		textoImprimir.append(ejercicio);
		textoImprimir.append("; NumExpediente: ");
		textoImprimir.append(numExp);
		textoImprimir.append("; ValorAnadComis: ");
		textoImprimir.append(valorAnadComis);
		textoImprimir.append("; ValorAnadSubv: ");
		textoImprimir.append(valorAnadSubv);
		textoImprimir.append("; ValorAnadOtrosIng: ");
		textoImprimir.append(valorAnadOtrosIng);
		textoImprimir.append("; ValorAnadCompras: ");
		textoImprimir.append(valorAnadCompras);
		textoImprimir.append("; ValorAnadServExt: ");
		textoImprimir.append(valorAnadServExt);
		textoImprimir.append("; ValorAnadOtrosTrib: ");
		textoImprimir.append(valorAnadOtrosTrib);
		textoImprimir.append("; InverBruta: ");
		textoImprimir.append(inverBruta);
		textoImprimir.append("; IngrComisEnt: ");
		textoImprimir.append(ingrComisEnt);
		textoImprimir.append("; IngrComisOtros: ");
		textoImprimir.append(ingrComisOtros);
		textoImprimir.append("; IngrHonorProf: ");
		textoImprimir.append(ingrHonorProf);
		textoImprimir.append("; IngrFinanc: ");
		textoImprimir.append(ingrFinanc);
		textoImprimir.append("; GastCostesPer: ");
		textoImprimir.append(gastCostesPer);
		textoImprimir.append("; GastComisAuxExt: ");
		textoImprimir.append(gastComisAuxExt);
		textoImprimir.append("; GastComisOtros: ");
		textoImprimir.append(gastComisOtros);
		textoImprimir.append("; GastFormacion: ");
		textoImprimir.append(gastFormacion);
		textoImprimir.append("; GastOtros: ");
		textoImprimir.append(gastOtros);
		textoImprimir.append("; CtaActIngr: ");
		textoImprimir.append(ctaActIngr);
		textoImprimir.append("; CtaActGast: ");
		textoImprimir.append(ctaActGast);
		textoImprimir.append("; CtaOtrasIngr: ");
		textoImprimir.append(ctaOtrasIngr);
		textoImprimir.append("; CtaOtrasGast: ");
		textoImprimir.append(ctaOtrasGast);
		
		return textoImprimir.toString();
	}

	
}
